package org.easystub;

public class CaptureReporter {

    private final InvocationReporter reporter;
    private final CaptureStore captureStore;

    public CaptureReporter(InvocationReporter reporter, CaptureStore captureStore) {
        this.reporter = reporter;
        this.captureStore = captureStore;
    }

    public void useCapture(Capture callback) {
        captureStore.registerCallbackForInvocation(reporter.lastInvocation(), callback);
    }
}
