package org.easystub;

public class ThrowableResultExceptionWrapper extends RuntimeException {

    private final Throwable result;

    public ThrowableResultExceptionWrapper(Throwable result) {
        this.result = result;
    }

    public void rethrow() throws Throwable {
        throw result;
    }

    public Throwable getResult() {
        return result;
    }
}
